Bug 727690 - BUG: scheduling while atomic: swapper/0/0x10000002
Summary: BUG: scheduling while atomic: swapper/0/0x10000002
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-02 21:37 UTC by Horst H. von Brand
Modified: 2011-08-17 01:13 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-17 01:13:14 UTC


Attachments (Terms of Use)

Description Horst H. von Brand 2011-08-02 21:37:42 UTC
Description of problem:
BUG: scheduling while atomic: swapper/0/0x10000002 shows on the console, and the system hangs for good.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot
2.
3.
  
Actual results:
Above message and hang

Expected results:


Additional info:
Samsung N210 netbook, dual-core Atom

Comment 1 Horst H. von Brand 2011-08-02 21:39:07 UTC
Version is 3,1.0-0.rc0.git11.2.fc17.x86_64

Comment 2 Horst H. von Brand 2011-08-02 21:44:15 UTC
With 3.1.0-0.rc0.git12.1.fc17.x86_64 it boots after the same message, but hangs after printing "Started Runtime Directory." Keyboard stays (somewhat) responsive (ESC switches to/from splash, but ctrl-alt-DEL does nothing).

Comment 3 Josh Boyer 2011-08-03 00:34:54 UTC
Does the backtrace look like the one in bug 726877?

Comment 4 Horst H. von Brand 2011-08-03 14:51:08 UTC
No backtrace, just the BUG line and hang.

Comment 5 Horst H. von Brand 2011-08-03 21:26:52 UTC
(In reply to comment #2)
> With 3.1.0-0.rc0.git12.1.fc17.x86_64 it boots after the same message, but hangs
> after printing "Started Runtime Directory." Keyboard stays (somewhat)
> responsive (ESC switches to/from splash, but ctrl-alt-DEL does nothing).

I get a similar hang with 2.6.40-4.fc15, cured with "selinux=0". Need to check the latest kernel...

Comment 6 Dave Jones 2011-08-03 21:47:14 UTC
it might be interesting to see if it boots with enforcing=0 instead, and see if there are any denials that get logged in /var/log/audit/

(you'll have to go through a relabel process now that you've done selinux=0 before this is possible).

Comment 7 Horst H. von Brand 2011-08-05 15:30:58 UTC
Currently 3.1.0-0.rc0.git17.1.fc17.x86_64, SELINUX enabled. I had to relabel (it seems I had some SELinux label snafu).

Comment 8 Josh Boyer 2011-08-15 14:37:43 UTC
Are you still getting the hangs with a 3.1.0-rc1/rc2 kernel?

Comment 9 Horst H. von Brand 2011-08-17 01:07:13 UTC
Nope, it worked.

Comment 10 Josh Boyer 2011-08-17 01:13:14 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.